package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AiAdviceSessionImpl struct {
	dataTemp.DataTemp
}

func NewAiAdviceSessionImpl(db *utils.Db) *AiAdviceSessionImpl {
	return &AiAdviceSessionImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceSession)),
	}
}
